package com.hxhq.business.enums.archive;

/**
 * 档案类型
 * @author tanfei
 */
public enum ArchiveLogTypeEnum {

    /**
     * 1试验非试验
     */
    sy(1, "试验非试验"),

    /**
     * 3供试品
     */
    gsp(3, "供试品"),

    /**
     * 5供试品领取发放
     */
    gsplqff(5, "供试品领取发放"),

    /**
     * 7给药制剂
     */
    gyzj(7, "给药制剂"),

    /**
     * 9给药制剂领取发放
     */
    gyzjlqff(9, "给药制剂领取发放"),

    /**
     * 11麻精药
     */
    mjy(11, "麻精药"),

    /**
     * 13麻精药领取发放
     */
    mjylqff(13, "麻精药领取发放"),

    /**
     * 15试剂
     */
    sj(15, "试剂");

    private int value;
    private String text;

    ArchiveLogTypeEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static ArchiveLogTypeEnum getEnumByValue(int type) {
        for (ArchiveLogTypeEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
